/* direttive del preprocessore */
%#define DATABSE "personnel.dat"  /* il '%' lo fa passare al prepr. */

/* definizioni di costanti */
const MAX_STR = 256;

/* definizioni di strutture */
struct record {
        string firstName<MAX_STR>;
        string middleInitial<MAX_STR>;
        string lastName<MAX_STR>;
        int phone;
        string location<MAX_STR>;
};

/* definizioni di programma e procedure contenute */
program RDBPROG {
        version RDBVERS {
                record FIRSTNAME_KEY(string) = 1;
                record LASTNAME_KEY(string) = 2;
                record PHONE_KEY(int) = 3;
                record LOCATION_KEY(string) = 4;
                int ADD_RECORD(record) = 5;
        } = 1;  /* numero di versione */
} = 0x20000001;  /* numero identificativo di programma */

